ur_rna.Utilities

## Class CommandLineParser.FlagArg

- java.lang.Object
- - ur_rna.Utilities.CommandLineParser.Argument
  - - ur_rna.Utilities.CommandLineParser.FlagArg

- Enclosing class:
    CommandLineParser

      public static class CommandLineParser.FlagArg
      extends CommandLineParser.Argument

  Flags arguments are indicated by a preceding hyphen (-) or slash (/). Flag arguments have a `flag` field which indicates the `flag definition` that provided the rules for parsing and producing this FlagArg object. Some flags have parameters (which can be optional, required, or forbidden/not allowed). If a parameter value is encountered during parsing, it is stored in the `valueText` field, which is `null` in Flags for which no parameter value was encountered.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CommandLineParser.FlagDef` | `flag` The Flag associated with this Argument, which specifies the name (and aliases) of the flag as well as the rules used to parse it.
    `java.lang.String` | `flagText` Gets the actual flag name from the command-line, without any parameter value or separator that might have been present.
    `java.lang.Object` | `parsedValue` Gets the value of this flag once it has been converted to the type specified in the associated Flag
    `java.lang.String` | `valueText` Gets the value of this flag, if one was specified, or null otherwise.

    - ### Fields inherited from class ur_rna.Utilities.CommandLineParser.Argument

      `fullText, position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlagArg(java.lang.String fullText, int position, CommandLineParser.FlagDef flag, java.lang.String flagText, java.lang.String valueText, java.lang.Object value)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### flag

          public final CommandLineParser.FlagDef flag

      The Flag associated with this Argument, which specifies the name (and aliases) of the flag as well as the rules used to parse it.

    - #### flagText

          public final java.lang.String flagText

      Gets the actual flag name from the command-line, without any parameter value or separator that might have been present.

      When a FlagArg is parsed, the flag name (e.g. "-f" ) is used to associate it with a FlagDef. From that point on, the FlagArg can be retrieved using the FlagDef name (e.g. "file") or any of its aliases. Usually the actual flag name (-f vs -file) is not relevant, but the name is stored in case some implementation requires it.

    - #### parsedValue

          public final java.lang.Object parsedValue

      Gets the value of this flag once it has been converted to the type specified in the associated Flag

    - #### valueText

          public final java.lang.String valueText

      Gets the value of this flag, if one was specified, or null otherwise.

  - ### Constructor Detail

    - #### FlagArg

          public FlagArg(java.lang.String fullText,
                         int position,
                         CommandLineParser.FlagDef flag,
                         java.lang.String flagText,
                         java.lang.String valueText,
                         java.lang.Object value)